#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: atomic-primops
version: 0.6.0.6
id: atomic-primops-0.6.0.6-f0cd066f534d3953bb012415920e4fc1

license: BSD3
copyright:
maintainer: rrnewton@gmail.com
stability:
homepage: https://github.com/rrnewton/haskell-lockfree/wiki
package-url:
synopsis: A safe approach to CAS and other atomic ops in Haskell.
description: After GHC 7.4 a new `casMutVar#` primop became available, but it'\''s
             difficult to use safely, because pointer equality is a highly
             unstable property in Haskell.  This library provides a safer method
             based on the concept of "Tickets".
             .
             Also, this library uses the "foreign primop" capability of GHC to
             add access to other variants that may be of
             interest, specifically, compare and swap inside an array.
             .
             Note that as of GHC 7.8, the relevant primops have been included in GHC itself.
             This library is engineered to work pre- and post-GHC-7.8, while exposing the
             same interface.
             .
             Changes in 0.3:
             .
             * Major internal change.  Duplicate the barrier code from the GHC RTS and thus
             enable support for executables that are NOT built with '\''-threaded'\''.
             .
             Changes in 0.4:
             .
             * Further internal changes, duplicate '\''cas'\'' routine well as barriers.
             .
             * Add `fetchAddByteArrayInt`
             .
             * Add an `Unboxed` counter variant that uses movable "ByteArray"s on the GHC heap.
             .
             Changes in 0.5:
             .
             * Remove dependency on bits-atomic unless a flag is turned on.
             .
             Changes in 0.5.0.2:
             .
             * IMPORTANT BUGFIXES - don'\''t use earlier versions.  They have been marked deprecated.
category: Data
author: Ryan Newton
exposed: True
exposed-modules: Data.Atomics Data.Atomics.Internal
                 Data.Atomics.Counter Data.Atomics.Counter.IORef
                 Data.Atomics.Counter.Reference Data.Atomics.Counter.Unboxed
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.8.3/atomic-primops-0.6.0.6
library-dirs: /usr/local/lib/cabal/ghc-7.8.3/atomic-primops-0.6.0.6
              /usr/local/lib
hs-libraries: HSatomic-primops-0.6.0.6
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.7.0.1-812360bc88c9859b8259f0d90b6e2faa
         ghc-prim-0.3.1.0-954cb57749cf319beafdc89b3415422c
         primitive-0.5.2.1-5c22000e9219643c6a2317b15bf5afd0
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.8.3/atomic-primops-0.6.0.6/html/atomic-primops.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.8.3/atomic-primops-0.6.0.6/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
